#
#	Apple Macintosh Developer Technical Support
#
#	Exception handling for MPW Pascal, MacApp and MPW C
#
#	UFailure (aka Signals) - Exceptional code, with a few exceptions.
#
#	PTestSignal.make	-	Makefile for Pascal access to enhanced UFailure
#
#	Copyright  1985-1988 Apple Computer, Inc.
#	All rights reserved.
#
#	Versions:	1.00				11/88
#				1.01				06/92
#
#	Components:	CTestSignal.c		November 1, 1988
#				CTestSignal.make	November 1, 1988
#				PTestSignal.p		November 1, 1988
#				PTestSignal.make	November 1, 1988
#				UFailure.p			November 1, 1988
#				UFailure.h			November 1, 1988
#				UFailure.incl.p		November 1, 1988
#				UFailure.a			November 1, 1988
#
#	UFailure (or Signals) is a set of exception handling routines suitable for
#	use with MacApp, MPW C, and MPW Pascal. It is a jazzed-up version of the MacApp
#	UFailure unit. There is a set of C interfaces to it as well.
#

# turn on debugging information (use 0 & FALSE to turn it off)
AOptions = -d &Debug=1
POptions = -d qDebug=TRUE -mbg ch8 -opt on,noStatic
# if you set qDebug to FALSE you should use -mbg off
# must use -opt on,noStatic to avoid MPW 3.2 Pascal compiler bug

UFailure.o			UFailure.p.o UFailure.a.o
	Lib UFailure.p.o UFailure.a.o -o UFailure.o
	
UFailure.p.o  UFailure.p UFailure.inc1.p
	
PTestSignal.p.o  PTestSignal.p UFailure.p

PTestSignal  PTestSignal.p.o UFailure.o
	If `Exists "{Libraries}"MacRuntime.o`
		Link -c 'MPS ' -t MPST 
			-sn STDIO=Main 
			-sn INTENV=Main 
			-sn %A5Init=Init 
			"{Libraries}"MacRuntime.o 
			"{Libraries}"IntEnv.o 
			"{Libraries}"Interface.o 
			"{PLibraries}"PasLib.o 
			UFailure.o 
			PTestSignal.p.o 
			-o PTestSignal
	Else
		Link -c 'MPS ' -t MPST 
			-sn STDIO=Main 
			-sn INTENV=Main 
			-sn %A5Init=Init 
			"{Libraries}"Runtime.o 
			"{Libraries}"Interface.o 
			"{PLibraries}"PasLib.o 
			UFailure.o 
			PTestSignal.p.o 
			-o PTestSignal
	End
